#include <TRandom.h>

#include "MyAnalyze.h"




//___________________________________________________________________________________________________________________________________________________________
MyAnalyze::MyAnalyze()
{
	u1 = new MyPeak();
	u2 = new MyPeak();
	v1 = new MyPeak();
	v2 = new MyPeak();
	w1 = new MyPeak();
	w2 = new MyPeak();
	mcp = new MyPeak();


	er.push_back(eDetHits);
	er.push_back(rDetHits);

	t=0;
	counter = 0;
}

//___________________________________________________________________________________________________________________________________________________________
void MyAnalyze::onStart()
{
	t = new TTree("test","test");
	t->Branch("tt","std::vector<dhVec> MyEreignis",&er);
}




//___________________________________________________________________________________________________________________________________________________________
int MyAnalyze::analyze()
{
	fillEreignis();
	counter++;

	t->Fill();

	return counter;
}


//___________________________________________________________________________________________________________________________________________________________
void MyAnalyze::fillEreignis()
{
	//clear the vectors//
	eDetHits.clear();
	rDetHits.clear();


	int eNbrEvents =(int) (gRandom->Rndm()*10);

	for (int i=0;i<eNbrEvents;++i)
	{
		//get some random values//
		double time = gRandom->Rndm();
		double height = gRandom->Rndm();
		double width = gRandom->Rndm();
		double x = gRandom->Rndm();
		double y = gRandom->Rndm();
		double m = gRandom->Rndm();
		int rm = (int)(gRandom->Rndm()*25);

		//fill peaks with random values, for simplicity all with the same values//
		u1->setTime(time);
		u1->setTime(time);
		u2->setTime(time);
		v1->setTime(time);
		v2->setTime(time);
		w1->setTime(time);
		w2->setTime(time);
		mcp->setTime(time);

		u1->setHeight(height);
		u1->setHeight(height);
		u2->setHeight(height);
		v1->setHeight(height);
		v2->setHeight(height);
		w1->setHeight(height);
		w2->setHeight(height);
		mcp->setHeight(height);

		u1->setWidth(width);
		u1->setWidth(width);
		u2->setWidth(width);
		v1->setWidth(width);
		v2->setWidth(width);
		w1->setWidth(width);
		w2->setWidth(width);
		mcp->setWidth(width);


		//now add some peaks to the detektorHits vectors//
		eDetHits.push_back(MyDetektorHit(x,y,m,rm));
		eDetHits.back().setU1(u1);
		eDetHits.back().setU2(u2);
		eDetHits.back().setV1(v1);
		eDetHits.back().setV2(v2);
		eDetHits.back().setW1(w1);
		eDetHits.back().setW2(w2);
		eDetHits.back().setMCP(mcp);

		rDetHits.push_back(MyDetektorHit(x,y,m,rm));
		rDetHits.back().setU1(u1);
		rDetHits.back().setU2(u2);
		rDetHits.back().setV1(v1);
		rDetHits.back().setV2(v2);
		rDetHits.back().setW1(w1);
		rDetHits.back().setW2(w2);
		rDetHits.back().setMCP(mcp);
	}
}