#ifndef __MyAnalyze_H_
#define __MyAnalyze_H_

#include <TFile.h>
#include <TTree.h>
#include <vector>

#include "MyDetektorHit.h"
#include "MyPeak.h"

class TTree;

typedef std::vector<MyDetektorHit> dhVec;
typedef std::vector<dhVec> MyEreignis;
class MyAnalyze  
{
public:
	MyAnalyze();
	~MyAnalyze()								{t->Write();rootfile->Close();delete u1; delete u2; delete v1; delete v2; delete w1; delete w2; delete mcp;}

	void openRootFile(const char * name)		{rootfile = TFile::Open(name,"RECREATE");}
	
	int analyze();
	void onStart();

private:
	void fillEreignis();

	MyEreignis er;				//vector of detektor hit vectors containing all infos of the detektors for one Event
	
	dhVec eDetHits;				//vector containing all Hits of the Electron Detektor
	dhVec rDetHits;				//vector containing all Hits from the Recoil Detektor

	TTree * t;
	TFile * rootfile;

	MyPeak * u1;
	MyPeak * u2;
	MyPeak * v1;
	MyPeak * v2;
	MyPeak * w1;
	MyPeak * w2;
	MyPeak * mcp;

	int counter;
};

#endif